Bug 373751 - SELinux is preventing rpc.mountd (nfsd_t) "getattr" access to device /dev/dmmidi
SELinux is preventing rpc.mountd (nfsd_t) "getattr" access to device /dev/dmmidi
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 15:52 EST by Russell Strong
Modified: 2008-01-30 14:20 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
selinux alert (2.45 KB, text/plain)
2007-11-09 15:52 EST, Russell Strong
no flags Details

  None (edit)
Description Russell Strong 2007-11-09 15:52:36 EST
Description of problem:

executing the command:

mount -t nfs localhost:/export /mnt

produces AVC denial

How reproducible:

always on mount

Actual results:

selinux AVC denial.  See attached file
Comment 1 Russell Strong 2007-11-09 15:52:36 EST
Created attachment 253441 [details]
selinux alert
Comment 2 Daniel Walsh 2007-11-10 07:48:40 EST
This can be ignored, the problem here is we don't know what the type of this
device is.  nfs just does a listing of all devices, and since this one does not
have a proper label, generates an avc.

Fixed in selinux-policy-3.0.8-51.fc8
Comment 3 Daniel Walsh 2008-01-30 14:20:46 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.